org.apache.pdfbox.pdmodel.interactive.action

## Class PDActionGoTo

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.action.PDAction
  - - org.apache.pdfbox.pdmodel.interactive.action.PDActionGoTo

All Implemented Interfaces:
  COSObjectable, PDDestinationOrAction

    public class PDActionGoTo
    extends PDAction

This represents a go-to action that can be executed in a PDF document.

Author:
  Ben Litchfield, Panagiotis Toumasis

### Field Summary

Fields
`static String` `SUB_TYPE` This type of action this object represents.

### Fields inherited from class org.apache.pdfbox.pdmodel.interactive.action.PDAction

`action, TYPE`

### Constructor Summary

Constructors
Constructor and Description
`PDActionGoTo()` Default constructor.
`PDActionGoTo(COSDictionary a)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`PDDestination` `getDestination()` This will get the destination to jump to.
`void` `setDestination(PDDestination d)` This will set the destination to jump to.

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.action.PDAction

`getCOSObject, getNext, getSubType, getType, setNext, setSubType, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SUB_TYPE

    public static final String SUB_TYPE

This type of action this object represents.

See Also:
  Constant Field Values

### Constructor Detail

#### PDActionGoTo

    public PDActionGoTo()

Default constructor.

#### PDActionGoTo

    public PDActionGoTo(COSDictionary a)

Constructor.

Parameters:
  `a` - The action dictionary.

### Method Detail

#### getDestination

    public PDDestination getDestination()
                                 throws IOException

This will get the destination to jump to.

Returns:
  The D entry of the specific go-to action dictionary.
Throws:
  `IOException` - If there is an error creating the destination.

#### setDestination

    public void setDestination(PDDestination d)

This will set the destination to jump to.

Parameters:
  `d` - The destination.
Throws:
  `IllegalArgumentException` - if the destination is not a page dictionary object.